package jp.ac.takushoku_u.cs;

/**
* DisagreementMatrixSizeExceptionクラスは2つのマトリクスに対し比較や演算を行う際、
* 2つのマトリクスのサイズが一致しない、
* もしくは演算を行えないサイズ同士であることを示すためにスローされます。
* @version 1.1
* @author 笠島 裕史(Kasajima Hiroshi)
*/
/*
* 最終更新日 2004年09月27日
*/

public class DisagreementMatrixSizeException extends ArithmeticMatrixException{

/**
* メッセージを持たない DisagreementMatrixSizeException を構築します。
*/
	public DisagreementMatrixSizeException(){
		super();
	}
	
/**
* 指定した詳細メッセージを持つ DisagreementMatrixSizeException を構築します。
* @param s 詳細メッセージ
*/
	public DisagreementMatrixSizeException(String s){
		super(s);
	}
}